| Wireshark 4.7.0 The Wireshark network protocol analyzer

Loading...
Searching...
No Matches
Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | Protected Member Functions | Static Protected Member Functions | List of all members
ProfileModel Class Reference
Inheritance diagram for ProfileModel:

## Public Types
enum | { COL_NAME , COL_TYPE , COL_AUTO_SWITCH_FILTER , _LAST_ENTRY }
enum | { DATA_IS_DEFAULT = Qt::UserRole , DATA_IS_GLOBAL }

## Public Member Functions
| ProfileModel (QObject *parent=Q_NULLPTR)
void | fillTable ()
virtual int | rowCount (const QModelIndex &parent=QModelIndex()) const
virtual int | columnCount (const QModelIndex &parent=QModelIndex()) const
virtual QVariant | data (const QModelIndex &idx, int role=Qt::DisplayRole) const
virtual bool | setData (const QModelIndex &index, const QVariant &value, int role)
virtual QVariant | headerData (int section, Qt::Orientation orientation, int role=Qt::DisplayRole) const
virtual Qt::ItemFlags | flags (const QModelIndex &index) const
void | deleteEntries (QModelIndexList idcs)
bool | restoreEntries (QModelIndexList idcs)
int | findByName (const QString &name)
QModelIndex | addNewProfile (QString name)
QModelIndex | duplicateEntry (QModelIndex idx, ProfileItem::StatusType status=ProfileItem::StatusType::Copy)
QModelIndex | activeProfile () const
bool | userProfilesExist () const
bool | isDataValid (QString &err)
void | importProfilesFromDir (QString filename, int &skippedCnt, QStringList &importList, bool fromZip=false)
QList< int > | findAllByNameAndVisibility (const QString &name, bool isGlobal=false, bool searchReference=false) const
bool | checkDuplicate (const QModelIndex &index, bool isOriginalToDuplicate=false) const
void | applyChanges ()
const ProfileItem * | getCurrentProfile () const
const ProfileItem * | getProfile (int index) const
const ProfileItem * | getPersonalProfile (const QString &name)
QVariant | dataPath (const QModelIndex &idx, QString &profilePath) const

## Static Public Member Functions
static bool | checkNameValidity (QString name, QString &msg)

## Public Attributes
enum ProfileModel:: { ... } | columns_
enum ProfileModel:: { ... } | data_values_

## Protected Member Functions
QModelIndex | addNewProfile (QString name, QString reference, bool isGlobal=false, bool fromGlobal=false, bool isImport=false)

## Static Protected Member Functions
static QString | illegalCharacters ()

The documentation for this class was generated from the following files:

- /builds/wireshark/wireshark/ui/qt/models/profile_model.h
- /builds/wireshark/wireshark/ui/qt/models/profile_model.cpp